Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin.cfg
Interface RemoteConfigurationGeoMap

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteConfigurationGeoMap

extends java.rmi.Remote

Defines the methods for retrieves geography map configuration information.

Since:
  12.1
See Also:
  `ConfigurationGeoMap`

Method Summary
`java.util.List<java.util.List<java.lang.String>>` | `getMapServiceAddresses(int mapType, ConfigurationGeoMap.MapServicePolicy policy)` please reference `ConfigurationGeoMap.getMapServiceAddresses(int, MapServicePolicy)`
`ConfigurationGeoMap.MapServicePolicy` | `getMapServicePolicy()` please reference `ConfigurationGeoMap.getMapServicePolicy()`.
`java.util.Map<java.lang.String,java.lang.String>` | `getMapServiceProperties(int mapType)` please reference `ConfigurationGeoMap.getMapServiceProperties(int)`
`java.lang.String` | `getMapServiceProperty(int mapType, java.lang.String propName)` please reference `ConfigurationGeoMap.getMapServiceProperty(int, String)`

Method Detail

### getMapServicePolicy

    ConfigurationGeoMap.MapServicePolicy getMapServicePolicy()
                                                             throws java.rmi.RemoteException

  please reference `ConfigurationGeoMap.getMapServicePolicy()`.

  Returns:
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getMapServiceAddresses

    java.util.List<java.util.List<java.lang.String>> getMapServiceAddresses(int mapType,
                                                                            ConfigurationGeoMap.MapServicePolicy policy)
                                                                            throws java.rmi.RemoteException

  please reference `ConfigurationGeoMap.getMapServiceAddresses(int, MapServicePolicy)`

  Parameters:
    `mapType` -
    `policy` -
  Returns:
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getMapServiceProperty

    java.lang.String getMapServiceProperty(int mapType,
                                           java.lang.String propName)
                                           throws java.rmi.RemoteException

  please reference `ConfigurationGeoMap.getMapServiceProperty(int, String)`

  Parameters:
    `mapType` -
    `propName` -
  Returns:
  Throws:
    `java.rmi.RemoteException`

### getMapServiceProperties

    java.util.Map<java.lang.String,java.lang.String> getMapServiceProperties(int mapType)
                                                                             throws java.rmi.RemoteException

  please reference `ConfigurationGeoMap.getMapServiceProperties(int)`

  Parameters:
    `mapType` -
  Returns:
  Throws:
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD